Event jumps to preceding date after edit

Bug #1826400 reported by Potet on 2019-04-25
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
GNOME Calendar
Fix Released
Unknown
gnome-calendar (Ubuntu)
High
Iain Lane
Disco
High
Iain Lane

Bug Description

[ Description ]

Upstream release 3.32.2

NEWS:

Major changes in 3.32.2:
* Fix timezone handling of all day events (Florian Latifi)

Major changes in 3.32.1:
* Fix release date field in AppData
* Updated translations

[ QA ]

Test the calendar works. Test that integration with the rest of the system works (which happens via e-d-s). Check that Google account syncing works.

You do *not* have to QA the original bug (preserved below), under the terms of the micro release exception:

https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

[ Regression potential ]

If this is really bad it could break the calendar application itself completely, but shouldn't break any parts of the wider system since all integration is via other components.

[ Original report ]

Full-day events jump a date back if edited and saved, even when no information about date or time is changed. Tested in local and Google calendars, happens in both.

To reproduce:
1. Create a full-day event (say on May 5)
2. Click on the event to open event editor
3. Keep the date and time unchanged (full day, May 5)
4. Press "Finish"
5. The event is now registered as a full-day event on the previous date, in this case May 4.

Tested on several events in different months, the result is always the same. I reproduced the bug in both month and week view.

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: gnome-calendar 3.32.0-1
ProcVersionSignature: Ubuntu 5.0.0-11.12-generic 5.0.6
Uname: Linux 5.0.0-11-generic x86_64
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Apr 25 14:17:07 2019
InstallationDate: Installed on 2018-05-09 (350 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
SourcePackage: gnome-calendar
UpgradeStatus: Upgraded to disco on 2019-04-03 (21 days ago)

Potet (5tein4rne) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, that's an issue in Disco indeed (doesn't happen in 18.04), I've reported it upstream
https://gitlab.gnome.org/GNOME/gnome-calendar/issues/384

Changed in gnome-calendar (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in gnome-calendar:
status: Unknown → New
Iain Lane (laney) on 2019-05-10
Changed in gnome-calendar (Ubuntu Disco):
status: New → In Progress
importance: Undecided → Medium
importance: Medium → High
assignee: nobody → Iain Lane (laney)
Changed in gnome-calendar (Ubuntu):
assignee: nobody → Iain Lane (laney)
status: Triaged → In Progress
Iain Lane (laney) wrote :

Thanks for the report.

This is fixed in 3.32.2. I've uploaded that to Debian. I'll sync it to eoan when it becomes available, and will upload to the queue for disco now. There will be another message here when it's accepted.

description: updated
Changed in gnome-calendar:
status: New → Fix Released
Changed in gnome-calendar (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-calendar - 3.32.2-1

---------------
gnome-calendar (3.32.2-1) experimental; urgency=medium

  * New upstream release
    + Fix timezone handling of all day events (LP: #1826400)

 -- Iain Lane <email address hidden> Fri, 10 May 2019 16:53:10 +0100

Changed in gnome-calendar (Ubuntu):
status: Fix Committed → Fix Released
Łukasz Zemczak (sil2100) wrote :

I agree that technically it is not needed to test if the original bug is fixed, but bonus points if someone does that anyway! Would be a nice double-check then.

Changed in gnome-calendar (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-disco

Hello Potet, or anyone else affected,

Accepted gnome-calendar into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-calendar/3.32.2-1~ubuntu19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Sebastien Bacher (seb128) wrote :

Using 3.32.2-1~ubuntu19.04.1 on disco, adding a day event work as expected, the event is on the correct date. Editing the event also keeps it on the same day. SRU is verified

tags: added: verification-done verification-done-disco
removed: verification-needed verification-needed-disco

The verification of the Stable Release Update for gnome-calendar has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-calendar - 3.32.2-1~ubuntu19.04.1

---------------
gnome-calendar (3.32.2-1~ubuntu19.04.1) disco; urgency=medium

  * No-change backport from experimental / eoan to disco.

gnome-calendar (3.32.2-1) experimental; urgency=medium

  * New upstream release
    + Fix timezone handling of all day events (LP: #1826400)

 -- Iain Lane <email address hidden> Fri, 10 May 2019 17:04:55 +0100

Changed in gnome-calendar (Ubuntu Disco):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.